#!/bin/sh
export PATH='/usr/obj/ports/hs-scientific-0.3.4.6/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: scientific
version: 0.3.4.6
id: scientific-0.3.4.6-JWnrWS98ixeAp8KdIqhPYx
key: scientific-0.3.4.6-JWnrWS98ixeAp8KdIqhPYx
license: BSD3
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
homepage: https://github.com/basvandijk/scientific
synopsis: Numbers represented using scientific notation
description:
    @Data.Scientific@ provides the number type '\''Scientific'\''. Scientific numbers are
    arbitrary precision and space efficient. They are represented using
    <http://en.wikipedia.org/wiki/Scientific_notation scientific notation>.
    The implementation uses a coefficient @c :: '\''Integer'\''@ and a base-10 exponent
    @e :: '\''Int'\''@. A scientific number corresponds to the
    '\''Fractional'\'' number: @'\''fromInteger'\'' c * 10 '\''^^'\'' e@.
    .
    Note that since we'\''re using an '\''Int'\'' to represent the exponent these numbers
    aren'\''t truly arbitrary precision. I intend to change the type of the exponent
    to '\''Integer'\'' in a future release.
    .
    The main application of '\''Scientific'\'' is to be used as the target of parsing
    arbitrary precision numbers coming from an untrusted source. The advantages
    over using '\''Rational'\'' for this are that:
    .
    * A '\''Scientific'\'' is more efficient to construct. Rational numbers need to be
    constructed using '\''%'\'' which has to compute the '\''gcd'\'' of the '\''numerator'\'' and
    '\''denominator'\''.
    .
    * '\''Scientific'\'' is safe against numbers with huge exponents. For example:
    @1e1000000000 :: '\''Rational'\''@ will fill up all space and crash your
    program. Scientific works as expected:
    .
    > > read "1e1000000000" :: Scientific
    > 1.0e1000000000
    .
    * Also, the space usage of converting scientific numbers with huge exponents to
    @'\''Integral'\''s@ (like: '\''Int'\'') or @'\''RealFloat'\''s@ (like: '\''Double'\'' or '\''Float'\'')
    will always be bounded by the target type.
category: Data
author: Bas van Dijk
exposed: True
indefinite: False
exposed-modules:
    Data.ByteString.Builder.Scientific Data.Scientific
    Data.Text.Lazy.Builder.Scientific
hidden-modules: Math.NumberTheory.Logarithms
                GHC.Integer.Logarithms.Compat GHC.Integer.Compat Utils
abi: a26e9eff3828d77f07c4c163bda03c4a
trusted: False
import-dirs: /usr/local/lib/ghc/scientific-0.3.4.6
library-dirs: /usr/local/lib/ghc/scientific-0.3.4.6
              /usr/local/lib/x86_64-openbsd-ghc-8.2.2
data-dir: /usr/local/share/hs-scientific-0.3.4.6
hs-libraries: HSscientific-0.3.4.6-JWnrWS98ixeAp8KdIqhPYx
depends:
    base-4.10.1.0 ghc-prim-0.5.1.1 deepseq-1.4.3.0
    text-1.2.1.3-5I6D6Lq0QEU97eY5wqs6DJ
    hashable-1.2.6.1-43aRZ47jOxKDNgwLEE5ins
    vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4 containers-0.5.10.2
    binary-0.8.5.1 integer-gmp-1.0.1.0 bytestring-0.10.8.2
abi-depends: base-4.10.1.0=3319c96bc0bdd0e7df6bb89e8bc8756b
             ghc-prim-0.5.1.1=c8f3d173544d1472727fce7b0518abda
             deepseq-1.4.3.0=d8f37714cac2d8647374ccf1a4b2ba8a
             text-1.2.1.3-5I6D6Lq0QEU97eY5wqs6DJ=1770d0eed701b97060e4e6e9b6dfec87
             hashable-1.2.6.1-43aRZ47jOxKDNgwLEE5ins=bd7583e43c08b964880d87a5b7966b5f
             vector-0.12.0.1-IUGn3M9mkBh8CyXcBnfTR4=8e272bd04e12991dddf8fcbfa1687d93
             containers-0.5.10.2=3a910cd7b137e6ec964a6149559bd205
             binary-0.8.5.1=c8530945bfa5054e7bdb63b11ca62ee8
             integer-gmp-1.0.1.0=9c3d9ccbdd7bdea277cdecf74e14db2b
             bytestring-0.10.8.2=96a37efba3f680a6fd96553c4173d263
haddock-interfaces: /usr/local/share/doc/hs-scientific-0.3.4.6/html/scientific.haddock
haddock-html: /usr/local/share/doc/hs-scientific-0.3.4.6/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"

